petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscMallocValidate

Test the memory for corruption. This can be used to check for memory overwrites.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMallocValidate(int line,const char function[],const char file[])

### Input Parameter

| line | - line number where call originated.
| function | - name of function calling
| file | - file where function is

### Return value

The number of errors detected.

### Output Effect

Error messages are written to stdout.

### Notes

You should generally use CHKMEMQ as a short cut for calling this routine.

The line, function, file are given by the C preprocessor as

The Fortran calling sequence is simply PetscMallocValidate(ierr)

No output is generated if there are no problems detected.

### See Also

CHKMEMQ

### Level

advanced

### Location

src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages